OpenSubdiv: GLStencilTableSSBO Class Reference

| OpenSubdiv

Loading...
Searching...
No Matches
GLStencilTableSSBO Class Reference

GL stencil table (Shader Storage buffer). More...

`#include <glComputeEvaluator.h>`

## Public Types
using | ID = unsigned int

## Public Member Functions
| GLStencilTableSSBO (Far::StencilTable const *stencilTable)
| GLStencilTableSSBO (Far::LimitStencilTable const *limitStencilTable)
| ~GLStencilTableSSBO ()
ID | GetSizesBuffer () const
ID | GetOffsetsBuffer () const
ID | GetIndicesBuffer () const
ID | GetWeightsBuffer () const
ID | GetDuWeightsBuffer () const
ID | GetDvWeightsBuffer () const
ID | GetDuuWeightsBuffer () const
ID | GetDuvWeightsBuffer () const
ID | GetDvvWeightsBuffer () const
int | GetNumStencils () const

## Static Public Member Functions
static GLStencilTableSSBO * | Create (Far::StencilTable const *stencilTable, void *deviceContext=NULL)
static GLStencilTableSSBO * | Create (Far::LimitStencilTable const *limitStencilTable, void *deviceContext=NULL)

## Detailed Description

GL stencil table (Shader Storage buffer).

This class is a GLSL SSBO representation of Far::StencilTable.

GLSLComputeKernel consumes this table to apply stencils

Definition at line 33 of file glComputeEvaluator.h.

## Member Typedef Documentation

## ◆ ID

using ID = unsigned int

Definition at line 35 of file glComputeEvaluator.h.

## Constructor & Destructor Documentation

## ◆ GLStencilTableSSBO() [1/2]

GLStencilTableSSBO | ( | Far::StencilTable const * | stencilTable | ) |
| explicit

## ◆ GLStencilTableSSBO() [2/2]

GLStencilTableSSBO | ( | Far::LimitStencilTable const * | limitStencilTable | ) |
| explicit

## ◆ ~GLStencilTableSSBO()

~GLStencilTableSSBO | ( |  | ) |

## Member Function Documentation

## ◆ Create() [1/2]

GLStencilTableSSBO * Create | ( | Far::LimitStencilTable const * | limitStencilTable,
|  | void * | deviceContext = NULL )
| inlinestatic

Definition at line 42 of file glComputeEvaluator.h.

## ◆ Create() [2/2]

GLStencilTableSSBO * Create | ( | Far::StencilTable const * | stencilTable,
|  | void * | deviceContext = NULL )
| inlinestatic

Definition at line 37 of file glComputeEvaluator.h.

## ◆ GetDuuWeightsBuffer()

ID GetDuuWeightsBuffer | ( |  | ) | const
| inline

Definition at line 60 of file glComputeEvaluator.h.

## ◆ GetDuvWeightsBuffer()

ID GetDuvWeightsBuffer | ( |  | ) | const
| inline

Definition at line 61 of file glComputeEvaluator.h.

## ◆ GetDuWeightsBuffer()

ID GetDuWeightsBuffer | ( |  | ) | const
| inline

Definition at line 58 of file glComputeEvaluator.h.

## ◆ GetDvvWeightsBuffer()

ID GetDvvWeightsBuffer | ( |  | ) | const
| inline

Definition at line 62 of file glComputeEvaluator.h.

## ◆ GetDvWeightsBuffer()

ID GetDvWeightsBuffer | ( |  | ) | const
| inline

Definition at line 59 of file glComputeEvaluator.h.

## ◆ GetIndicesBuffer()

ID GetIndicesBuffer | ( |  | ) | const
| inline

Definition at line 56 of file glComputeEvaluator.h.

## ◆ GetNumStencils()

int GetNumStencils | ( |  | ) | const
| inline

Definition at line 63 of file glComputeEvaluator.h.

## ◆ GetOffsetsBuffer()

ID GetOffsetsBuffer | ( |  | ) | const
| inline

Definition at line 55 of file glComputeEvaluator.h.

## ◆ GetSizesBuffer()

ID GetSizesBuffer | ( |  | ) | const
| inline

Definition at line 54 of file glComputeEvaluator.h.

## ◆ GetWeightsBuffer()

ID GetWeightsBuffer | ( |  | ) | const
| inline

Definition at line 57 of file glComputeEvaluator.h.

The documentation for this class was generated from the following file:

- opensubdiv/osd/glComputeEvaluator.h